# __gnu_cxx::array_allocator< _Tp, _Array >::rebind< _Tp1, _Array1 > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp, typename _Array = std::tr1::array<_Tp, 1>>
template<typename _Tp1, typename _Array1 = _Array>
struct __gnu_cxx::array_allocator< _Tp, _Array >::rebind< _Tp1, _Array1 >

Definition at line 117 of file array_allocator.h.

## Public Types

- typedef array_allocator< _Tp1,
  _Array1 > other

The documentation for this struct was generated from the following file:

- array_allocator.h